package com.ruoyi.project.training.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.training.domain.TTraining;

import java.util.List;

/**
 * 培训计划Mapper接口
 *
 * @author ruoyi
 * @date 2020-12-02
 */
public interface TTrainingMapper  extends BaseMapper<TTraining>
{
    /**
     * 查询培训计划
     *
     * @param id 培训计划ID
     * @return 培训计划
     */
    public TTraining selectTTrainingById(Long id);

    /**
     * 查询培训计划
     *
     * @param regularId 装置培训计划ID
     * @return 培训计划
     */
    public TTraining selectTTrainingByRegularId(Long regularId);

    /**
     * 查询培训计划列表
     *
     * @param tTraining 培训计划
     * @return 培训计划集合
     */
    @DataScope(deptAlias = "d")
    public List<TTraining> selectTTrainingList(TTraining tTraining);
    public List<TTraining> countTTraining(TTraining tTraining);

    /**
     * 新增培训计划
     *
     * @param tTraining 培训计划
     * @return 结果
     */
    public int insertTTraining(TTraining tTraining);

    /**
     * 修改培训计划
     *
     * @param tTraining 培训计划
     * @return 结果
     */
    public int updateTTraining(TTraining tTraining);

    /**
     * 删除培训计划
     *
     * @param id 培训计划ID
     * @return 结果
     */
    public int deleteTTrainingById(Long id);

    /**
     * 批量删除培训计划
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTTrainingByIds(Long[] ids);
}
